Skip to navigation

Retrieve all SKUs

View as Markdown

Retrieve all SKUs (Stock Keeping Units) for a Site.

SKUs represent unique hardware configurations discovered at sites. They are automatically derived from machine characteristics.

A siteId query parameter is required for all requests.

For Infrastructure Providers: Org must have an Infrastructure Provider entity and own the Site that the Machine belongs to. User must have authorization role with PROVIDER_ADMIN suffix.

For Tenants: Org must have a Tenant with TargetedInstanceCreation capability enabled and Tenant Account with Machine’s Provider. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site to retrieve SKUs from
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-only
Unique identifier for the SKU
siteIdstringOptionalRead-onlyformat: "uuid"
ID of the Site this SKU belongs to
descriptionstringOptionalRead-only

Human-readable SKU description

schemaVersionuintOptionalRead-only>=0
Core SKU schema version when available
deviceTypestring or nullOptionalRead-only

Optional device type identifier (e.g. “gpu”, “cpu”, “storage”)

associatedMachineIdslist of stringsOptionalRead-only
List of machine IDs associated with this SKU
componentsobjectOptional
Hardware components of this SKU
createddatetimeOptionalRead-only

ISO 8601 datetime when the SKU was created, using the Site-reported timestamp when available

Errors

400
Bad Request Error
403
Forbidden Error